local lsp_utils       = require('lsp-utils')
local tsserver_config = lsp_utils.tsserver_config()

vim.lsp.start(tsserver_config)

vim.keymap.set('n', 'gq', "<cmd>!npx prettier --write %:p<CR>:e<CR>", { noremap=true, silent=true, buffer=0 })

vim.api.nvim_create_autocmd({ "BufReadPre", "BufWinEnter" }, {
  pattern  = { "*/node_modules/*" },
  callback = function()
    vim.bo.buflisted = false
  end,
})
